# ApiOzoneSnapshotDiffReq Data Model

Reference to an Ozone snapshot diff between two snapshots or between a snapshot and current bucket state (in that case snapshotToName can be empty or null).

Properties
name | data type | description
--- | --- | ---
snapshotFromName | string |
snapshotToName | string |
bucketRef | ApiOzoneBucketRef |
result | ApiOzoneResultSpec |
proxyUser | string |

Example

    {
      "snapshotFromName" : "...",
      "snapshotToName" : "...",
      "bucketRef" : {
        "volume" : "...",
        "bucket" : "..."
      },
      "result" : {
        "keepResultFile" : true,
        "resultFileName" : "...",
        "resultLocation" : {
          "bucketRef" : { },
          "key" : "..."
        }
      },
      "proxyUser" : "..."
    }